--[[ Space Shooter graphics by Kenney Vleugels (www.kenney.nl) ]]--

io.stdout:setvbuf("no")  -- utilize IDE terminal

local game = require 'game'

function love.load()
  if arg[#arg] == "-debug" then require("mobdebug").start() end  -- for debugging w/ ZBS
  
	game.load()
end

function love.update(dt)
	game.update(dt)
end

function love.draw()
  game.draw()
end

function love.keypressed(key)
	if key == 'escape' then
		love.event.quit()
	end
  
  if key == '1' then
    table.insert(enemies, Enemy:new())
  end
end